#pragma once

#include "ofxiOS.h"
#include "ofxiOSImagePicker.h"  //カメラ用

class ofApp : public ofxiOSApp {
	
    public:
        void setup();
        void update();
        void draw();
        void exit();
	
        void touchDown(ofTouchEventArgs & touch);
        void touchMoved(ofTouchEventArgs & touch);
        void touchUp(ofTouchEventArgs & touch);
        void touchDoubleTap(ofTouchEventArgs & touch);
        void touchCancelled(ofTouchEventArgs & touch);

        void lostFocus();
        void gotFocus();
        void gotMemoryWarning();
        void deviceOrientationChanged(int newOrientation);
    
    ofxiOSImagePicker camera;   //カメラ用変数
    ofImage	photo;  //撮影後の画像用変数
    
    ofImage camImg;     //ボタン用画像
    ofImage libImg;
    ofImage saveImg;
    
    ofRectangle camRect;    //範囲指定用変数
    ofRectangle libRect;
    ofRectangle saveRect;
    
    Boolean saveFlag;   //保存ボタンを押したかどうかを判別するフラッグ
    unsigned char * displayPixels;  //変換後の画像用変数
};


